package eu.etaxonomy.taxeditor.prototype2.view.nameviewersupport;

import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.GC;
import org.eclipse.swt.graphics.Rectangle;
import org.eclipse.swt.widgets.Composite;

public class CompositeRectangle {

	GC gc;
	Rectangle rectangle;
	Composite composite;
	
	CompositeRectangle(Composite composite, Color color) {
		this.gc = new GC(composite);
		this.composite = composite;
		draw(color);
	}

	public void draw(Color color) {
		this.rectangle = composite.getClientArea();
		gc.setForeground(color);
		gc.drawRectangle(rectangle.x, rectangle.y, rectangle.width - 1, rectangle.height - 1);
	}
	
	public void dispose() {
		gc.dispose();
	}
	
}
