/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.description;

import org.apache.log4j.Logger;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.forms.IManagedForm;
import org.eclipse.ui.forms.widgets.TableWrapLayout;

import eu.etaxonomy.cdm.model.description.Feature;
import eu.etaxonomy.taxeditor.editor.EditorGroupComposite;
import eu.etaxonomy.taxeditor.editor.GroupCompositeLabel;

/**
 * @author p.ciardelli
 * @created 11.09.2008
 * @version 1.0
 */
public class FeatureGroupComposite extends EditorGroupComposite {
	private static final Logger logger = Logger
			.getLogger(FeatureGroupComposite.class);

	public FeatureGroupComposite(Composite parent, IManagedForm managedForm,
			Feature feature) {
		super(parent, managedForm, feature);

		TableWrapLayout	tlLayout = new TableWrapLayout();
		tlLayout.topMargin = 0;
		tlLayout.leftMargin = 10;
		setLayout(tlLayout);
		
		Composite groupCompositeLabel = new GroupCompositeLabel(this, feature.getLabel());
	}
}
